using System;

namespace ConsoleApp3
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int N = int.Parse(s[0]);
            int K = int.Parse(s[1]);
            int[] a = new int[N];
            string[] s2 = Console.ReadLine().Split(' ');
            for(int i = 0;i<N;i++)
            {
                a[i] = int.Parse(s2[i]);
            }
            for (int i = 0; i < N; i++)
            {
                if (i == N - 1) { Console.WriteLine(a[0]); return; }
                if (a[i] == K) { Console.WriteLine(a[i + 1]); return; }
                
            }
        }
    }
}